Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceTimeRequestResponse

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceResponse
          com.rsa.ace.techservice.udpserver.AceTimeRequestResponse

All Implemented Interfaces:
  AceResponse

    public class AceTimeRequestResponse

extends AbstractAceResponse
implements AceResponse

This class is an Ace Time Request Response. It implements the AceResponse interface by extending the AbstractAceResponse class and defining methods to write a time request response.

Constructor Summary
`AceTimeRequestResponse(AceDatagram packet, AceRequest request)` Creates a new instance of AceTimeRequestResponse.
`AceTimeRequestResponse(AceTimeRequest request)` Creates a new instance of AceTimeRequestResponse.

Method Summary
`byte` | `getResponseMsgType()` Returns the response message type for a time response.
`int` | `getResponseStatus()` Returns the status for a time response.
`int` | `getTimeResponse()` Returns the time Response .
`java.nio.ByteBuffer` | `readResponse()` Write an AceTimeRequestResponse packet.
`java.lang.String` | `toString()` Converts the AbstractAceResponse to a string.
`void` | `writeResponse(java.nio.ByteBuffer buf)` Write an AceTimeRequestResponse packet.

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceResponse
`buildResponsePacket, getBuffer, getHeader, getNewNodeSecret, getNodeSecret, getPacket, getProtocolVersion, getRequestToThisResponse, getResponseSize, getTrailer, haveNodeSecret, processResponse, setNodeSecret`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceResponse
`buildResponsePacket, getHeader, getPacket, getProtocolVersion, getResponseSize, getTrailer, processResponse`

Constructor Detail

### AceTimeRequestResponse

    public AceTimeRequestResponse(AceTimeRequest request)
                           throws AcePacketException

  Creates a new instance of AceTimeRequestResponse. The response time is locked at construction.

  Parameters:
    `request` - The request from which some response data is obtained.
  Throws:
    `AcePacketException` - If there's a problem using the request to build the response.

### AceTimeRequestResponse

    public AceTimeRequestResponse(AceDatagram packet,
                                  AceRequest request)
                           throws AcePacketException

  Creates a new instance of AceTimeRequestResponse. The response time is locked at construction.

  Parameters:
    `request` - The request from which some response data is obtained.
  Throws:
    `AcePacketException` - If there's a problem using the request to build the response.

Method Detail

### writeResponse

    public void writeResponse(java.nio.ByteBuffer buf)
                       throws AcePacketException

  Write an AceTimeRequestResponse packet. This uses the ByteBuffer to create the packet content. This function should always call the parent's 'writeResponse' method and then add the portions of the packet specific to it.

  Specified by:
    `writeResponse` in interface `AceResponse`
  Overrides:
    `writeResponse` in class `AbstractAceResponse`
  Parameters:
    `buf` - The buffer to which the packet is written.
  Throws:
    `AcePacketException` - If there is a problem building the packet.

### readResponse

    public java.nio.ByteBuffer readResponse()
                                     throws AcePacketException

  Write an AceTimeRequestResponse packet. This uses the ByteBuffer to create the packet content. This function should always call the parent's 'writeResponse' method and then add the portions of the packet specific to it.

  Specified by:
    `readResponse` in interface `AceResponse`
  Overrides:
    `readResponse` in class `AbstractAceResponse`
  Parameters:
    `buf` - The buffer to which the packet is written.
  Throws:
    `AcePacketException` - If there is a problem building the packet.

### getResponseMsgType

    public byte getResponseMsgType()

  Returns the response message type for a time response.

  Specified by:
    `getResponseMsgType` in interface `AceResponse`
  Overrides:
    `getResponseMsgType` in class `AbstractAceResponse`
  Returns:
    The Time Response message type.

### getResponseStatus

    public int getResponseStatus()

  Returns the status for a time response. It is not possible for it to fail.

  Specified by:
    `getResponseStatus` in interface `AceResponse`
  Overrides:
    `getResponseStatus` in class `AbstractAceResponse`
  Returns:
    The Time Response protocol version.

### getTimeResponse

    public int getTimeResponse()

  Returns the time Response . It is not possible for it to fail.

  Returns:
    The Time Response .

### toString

    public java.lang.String toString()

  Description copied from class: `AbstractAceResponse`
  Converts the AbstractAceResponse to a string.

  Specified by:
    `toString` in interface `AceResponse`
  Overrides:
    `toString` in class `AbstractAceResponse`
  Returns:
    A String representation of the response.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.